# TdApi.GetStoryViewers (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetStoryViewers

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetStoryViewers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StoryViewers>
it.tdlight.jni.TdApi.GetStoryViewers

Enclosing class:
  TdApi

public static final class TdApi.GetStoryViewers extends TdApi.Function<TdApi.StoryViewers>
Returns viewers of a story. The method can be called only for stories posted on behalf of the current user.

Returns `StoryViewers`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of story viewers to return.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`boolean`
`onlyContacts`
Pass true to get only contacts; pass false to get all relevant viewers.
`boolean`
`preferWithReaction`
Pass true to get viewers with reaction first; pass false to get viewers sorted just by viewDate.
`String`
`query`
Query to search for in names and usernames of the viewers; may be empty to get all relevant viewers.
`int`
`storyId`
Story identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetStoryViewers()`
Returns viewers of a story.
`GetStoryViewers(int storyId, String query, boolean onlyContacts, boolean preferWithReaction, String offset, int limit)`
Returns viewers of a story.
`GetStoryViewers(DataInput input)`
Returns viewers of a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### storyId

public int storyId
Story identifier.

### query

public String query
Query to search for in names and usernames of the viewers; may be empty to get all relevant viewers.

### onlyContacts

public boolean onlyContacts
Pass true to get only contacts; pass false to get all relevant viewers.

### preferWithReaction

public boolean preferWithReaction
Pass true to get viewers with reaction first; pass false to get viewers sorted just by viewDate.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of story viewers to return.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetStoryViewers

public GetStoryViewers()
Returns viewers of a story. The method can be called only for stories posted on behalf of the current user.

Returns `StoryViewers`

### GetStoryViewers

public GetStoryViewers(int storyId, String query, boolean onlyContacts, boolean preferWithReaction, String offset, int limit)
Returns viewers of a story. The method can be called only for stories posted on behalf of the current user.

Returns `StoryViewers`

Parameters:
  `storyId` - Story identifier.
  `query` - Query to search for in names and usernames of the viewers; may be empty to get all relevant viewers.
  `onlyContacts` - Pass true to get only contacts; pass false to get all relevant viewers.
  `preferWithReaction` - Pass true to get viewers with reaction first; pass false to get viewers sorted just by viewDate.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of story viewers to return.

  Returns `StoryViewers`

### GetStoryViewers

public GetStoryViewers(DataInput input) throws IOException
Returns viewers of a story. The method can be called only for stories posted on behalf of the current user.

Returns `StoryViewers`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`